public inbox for devel@edk2.groups.io
 help / color / mirror / Atom feed
From: rebecca@bluestop.org
To: devel@edk2.groups.io, Bob Feng <bob.c.feng@intel.com>,
	Liming Gao <liming.gao@intel.com>,
	"Zhiju . Fan" <zhijux.fan@intel.com>
Cc: Rebecca Cran <rebecca@bluestop.org>
Subject: [PATCH] Fix indentation in edksetup.sh SetupPython3
Date: Wed, 26 Jun 2019 10:54:56 -0600	[thread overview]
Message-ID: <20190626165456.63388-1-rebecca@bluestop.org> (raw)

Signed-off-by: Rebecca Cran <rebecca@bluestop.org>
---
 edksetup.sh | 40 ++++++++++++++++++++--------------------
 1 file changed, 20 insertions(+), 20 deletions(-)

diff --git a/edksetup.sh b/edksetup.sh
index c7b2e1e201..61e988035f 100755
--- a/edksetup.sh
+++ b/edksetup.sh
@@ -108,27 +108,27 @@ function SetupEnv()
 function SetupPython3()
 {
   if [ $origin_version ];then
-      origin_version=
+    origin_version=
+  fi
+  for python in $(whereis python3)
+  do
+    python=$(echo $python | grep "[[:digit:]]$" || true)
+    python_version=${python##*python}
+    if [ -z "${python_version}" ] || (! command -v $python >/dev/null 2>&1);then
+      continue
     fi
-    for python in $(whereis python3)
-    do
-      python=$(echo $python | grep "[[:digit:]]$" || true)
-      python_version=${python##*python}
-      if [ -z "${python_version}" ] || (! command -v $python >/dev/null 2>&1);then
-        continue
-      fi
-      if [ -z $origin_version ];then
-        origin_version=$python_version
-        export PYTHON_COMMAND=$python
-        continue
-      fi
-      ret=`echo "$origin_version < $python_version" |bc`
-      if [ "$ret" -eq 1 ]; then
-        origin_version=$python_version
-        export PYTHON_COMMAND=$python
-      fi
-    done
-    return 0
+    if [ -z $origin_version ];then
+      origin_version=$python_version
+      export PYTHON_COMMAND=$python
+      continue
+    fi
+    ret=`echo "$origin_version < $python_version" |bc`
+    if [ "$ret" -eq 1 ]; then
+      origin_version=$python_version
+      export PYTHON_COMMAND=$python
+    fi
+  done
+  return 0
 }
 
 function SetupPython()
-- 
2.22.0


             reply	other threads:[~2019-06-26 16:55 UTC|newest]

Thread overview: 6+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2019-06-26 16:54 rebecca [this message]
2019-06-27  7:37 ` [edk2-devel] [PATCH] Fix indentation in edksetup.sh SetupPython3 Liming Gao
2019-06-27 13:05   ` rebecca
2019-06-28  8:04     ` Liming Gao
2019-06-28 15:30       ` rebecca
2019-07-01  3:58         ` Liming Gao

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-list from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20190626165456.63388-1-rebecca@bluestop.org \
    --to=devel@edk2.groups.io \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox